<template lang="pug">
header.header.has-background-white.is-flex.is-justify-content-flex-start
	.brand.has-background-black.is-flex.is-align-items-center
		p.has-text-primary.is-size-3.has-text-weight-bold DCR&nbsp;
		p.has-text-white.is-size-3.has-text-weight-semi-bold CRM
	.nav.is-flex.is-justify-content-flex-end
		.nav-item.is-flex.is-align-items-center.is-justify-content-center( @click='toggleLocale' )
			figure.image.is-32x32
				component( :is='flags[locale]' )
		.nav-item.is-flex.is-align-items-center.is-justify-content-center( v-if='username' )
			figure.image.is-32x32.mr-4.has-background-grey
				img( :src='`https://avatars.dicebear.com/api/miniavs/${username}.svg`' )
			p.has-text-weight-semibold {{ username }}
		.nav-item.is-flex.is-align-items-center.is-justify-content-center( @click='logout' )
			span.icon.is-medium
				i.fa-solid.fa-arrow-right-from-bracket.fa-lg
</template>

<script setup>
import RuFlag from "@/assets/svg/ru.svg?component"
import EnFlag from "@/assets/svg/en.svg?component"

import { computed, defineAsyncComponent } from "vue"
import { useUserStore } from "@/stores/user"
import { useRouter } from "vue-router"
import { useI18n } from "vue-i18n"

const i18n = useI18n()
const us = useUserStore()
const $router = useRouter()

const username = computed(() => us.user?.username)
const locale = computed(() => i18n.locale.value)
const altLocale = computed(() => locale.value == "ru" ? "en" : "ru")
const flags = {
	ru: RuFlag,
	en: EnFlag
}

const toggleLocale = () => {
	i18n.locale.value = altLocale.value
	localStorage.setItem("i18n", i18n.locale.value)
}

const logout = () => us.logout().then(() => $router.push({ name: "Login" }))
</script>

<style lang="scss" scoped>
header {
	width: 100%;
	height: $navbar-height;
	position: fixed;
	top: 0;
	left: 0;
}

.brand {
	min-width: $aside-width;
	max-width: $aside-width;
	padding-left: 2rem;
}

p {
	display: inline;
}

.nav {
	margin-left: auto;
	&-item {
		padding: 1rem;
		border-left: 1px solid $light;
		&:not(.disabled) {
			cursor: pointer;
			transition: background .2s ease-in-out;
			p, span {
				color: $grey-dark;
				transition: color .2s ease-in-out;
			}

			&:hover {
				background: $light;
				p, span {
					color: $black;
				}
			}
		}
		.image {
			border-radius: 50%;
			overflow: hidden;
		}
	}
}
</style>